#
# spec file for package xstroke
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           xstroke
Version:        0.6
Release:        253.5
Summary:        Fullscreen gesture recognition for X
License:        GPL-2.0-or-later
Group:          Hardware/Mobile
URL:            http://xstroke.org/
Source:         xstroke-%{version}.tar.bz2
Source1:        xstroke.png
Source2:        xstroke.desktop
# please upstream it
Patch0:         xstroke-no-copy-dt-needed-entries.patch
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(xtst)

%description
xstroke is a full-screen gesture recognition program for the X Window
System. It captures gestures performed with a pointer device, (such as
a mouse, a stylus, or a pen/tablet), recognizes the gestures and
performs actions based on the gestures.

%prep
%autosetup -p1
autoreconf -f --install

%build
%configure
%make_build

%install
%make_install mandir=%{_mandir} libdir=%{_libdir}
%suse_update_desktop_file -i xstroke
mkdir -p %{buildroot}%{_datadir}/pixmaps
cp %{SOURCE1} %{buildroot}%{_datadir}/pixmaps
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}
cp -pr AUTHORS COPYING ChangeLog NEWS README TODO %{buildroot}%{_defaultdocdir}/%{name}/

%files
%{_bindir}/xstroke
%dir %{_sysconfdir}/xstroke
%config %{_sysconfdir}/xstroke/alphabet
%doc %{_defaultdocdir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png

%changelog
* Wed Apr 26 2023 Jan Engelhardt <jengelh@inai.de>
- Remove pre-SUSE-15 build logic
* Sun Oct 19 2014 crrodriguez@opensuse.org
- run spec cleaner
- gtk2-devel is not required.
- xorg-x11-devel use has been replaced by individual pkgconfig
  buildrequires for current products.
* Thu Feb 23 2012 coolo@suse.com
- fix build on factory
* Sat Nov 19 2011 coolo@suse.com
- add libtool as buildrequire to avoid implicit dependency
* Tue Aug 30 2011 pgajdos@suse.com
- build with --no-copy-dt-needed-entries
  * no-copy-dt-needed-entries.patch
* Sun Aug 12 2007 stbinner@suse.de
- disable start-up notification under KDE
- fix GenericName capitalization for after 10.3
* Mon Jan  8 2007 dkukawka@suse.de
- Fixed b.n.c #222484: added GenericName
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Sep 28 2005 dmueller@suse.de
- add norootforbuild
* Sat May  7 2005 dkukawka@suse.de
- added desktopfile and icon for menu entry
* Wed Jan 19 2005 behlert@suse.de
- added various files into doc-dir
* Tue Jan 18 2005 behlert@suse.de
- initial version
